isinf.c File Reference
`#include "ruby/config.h"`
`#include <strings.h>`

Go to the source code of this file.

## Functions

static double | zero (void)
static double | one (void)
static double | inf (void)
int | isinf (double n)

## Function Documentation

static double inf | ( | void |  | ) |

static

Definition at line 53 of file isinf.c.

References one(), and zero().

Referenced by allocate_cbsubst_info(), cbsubst_def_attr_aliases(), cbsubst_get_all_subst_keys(), cbsubst_get_subst_arg(), cbsubst_get_subst_key(), cbsubst_initialize(), cbsubst_scan_args(), cbsubst_sym_to_subst(), cbsubst_table_setup(), Init_process(), invoke_tcl_proc(), isinf(), and X509_CRL_add0_revoked().

int isinf | ( | double | n | ) |

Definition at line 56 of file isinf.c.

References inf(), and memcmp().

Referenced by atanh(), big_op(), BigMath_s_exp(), BigMath_s_log(), BSD_vfprintf(), c_valid_start_p(), c_virtual_sg(), dbl2big(), finite(), flo_cmp(), flo_is_finite_p(), flo_is_infinite_p(), flo_round(), flo_to_s(), float_denominator(), float_numerator(), float_value(), flodivmod(), guess_style(), m_julian_p(), m_proleptic_gregorian_p(), m_proleptic_julian_p(), math_atan2(), math_gamma(), math_lgamma(), nurat_div(), rand_range(), rb_big2dbl(), rb_big_cmp(), rb_big_eq(), rb_big_fdiv(), rb_str_format(), ruby_float_step(), ruby_hdtoa(), s_virtual_sg(), VpDtoV(), and w_float().

static double one | ( | void |  | ) |

static

Definition at line 52 of file isinf.c.

Referenced by BigMath_s_exp(), BigMath_s_log(), enum_one(), inf(), and yyparse().

static double zero | ( | void |  | ) |

static

Definition at line 51 of file isinf.c.

Referenced by BigDecimal_power(), BigMath_s_log(), inf(), num_uminus(), tgamma(), VpCtoV(), and yyparse().